=== debian/control ===
Source: libjsoncpp
Priority: extra
Maintainer: José Luis Segura Lucas <josel.segura@gmx.es>
Uploaders: Cleto Martin <cleto.martin@gmail.com>
Build-Depends: debhelper (>= 9), scons, python, doxygen
Standards-Version: 3.9.5
Section: libs
Homepage: http://jsoncpp.sourceforge.net/

Package: libjsoncpp0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library for reading and writing JSON for C++
 jsoncpp is an implementation of a JSON reader and writer in C++. JSON
 (JavaScript Object Notation) is a lightweight data-interchange format
 that it is easy to parse and redeable for human. It is useful for
 building config files, network communications protocols, etc.
 .
 This library provides following features:
 .
 * High-level data structures for collecting data from JSON.
 * Easy-to-use reader and writer.

Package: libjsoncpp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libjsoncpp0 (= ${binary:Version}), ${misc:Depends}
Description: Library for reading and writing JSON for C++ (devel files)
 jsoncpp is an implementation of a JSON reader and writer in C++. JSON
 (JavaScript Object Notation) is a lightweight data-interchange format
 that it is easy to parse and redeable for human. It is useful for
 building config files, network communications protocols, etc.
 .
 This library provides following features:
 .
 * High-level data structures for collecting data from JSON.
 * Easy-to-use reader and writer.
