=== debian/changelog ===
libjsoncpp (0.10.5-1) unstable; urgency=medium

  * New Maintainer (Closes: #790151)
  * New upstream release
    - removed upstream applied patch
    - refreshed fuzzy patches
    - d/rules: updated cmake flags to build shared + static lib
  * GCC5 transistion, thanks to Matthias Klose (Closes: #791131)
    - Rename libjsoncpp0 to libjsoncpp0v5, triggered by the libstdc++6
    transition.
    - Add Conflict/Replaces with the old library.
    - Rename libjsoncpp0-dbg to libjsoncpp0v5-dbg.

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Sun, 02 Aug 2015 17:07:20 +0200

libjsoncpp (0.10.2-4) unstable; urgency=medium

  * Team upload
  [ Peter Spiess-Knafl ]
  * Removed broken shlibs file (Closes: #788945)

  [ Rodney Dawes ]
  * debian/patches/fix-double-parsing.patch
    - fix error in parsing doubles (Closes: #788858)
      thanks Michael Terry for submitting the bug in Debian
      and for merging the work.

  [ Gianfranco Costamagna ]
  * patch refresh, and committing double-parsing patch.

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Wed, 17 Jun 2015 10:18:51 +0200

libjsoncpp (0.10.2-3) unstable; urgency=medium

  * Added upstream patch to fix arm build
  * Added patch for using upstream pkg-config files (Closes: #788379)
  * Moved from symbols to shlibs system
  * Added lintian override for -doc package generated by doxygen

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Thu, 11 Jun 2015 11:00:48 +0200

libjsoncpp (0.10.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Mon, 27 Apr 2015 00:44:35 +0200

libjsoncpp (0.10.2-1) experimental; urgency=medium

  [ Peter Spiess-Knafl ]
  * New upstream release. Closes: #762330
  * Changed buildsystem to cmake.
  * Added libjsoncpp0-dbg package.
  * Split out documenation into libjsoncpp-doc.
  * Added docbase file.
  * Fixed lintian warnings.
  * Updated upstream contact and changed license to Expat.
  * Added Vcs-Browser field to debian/control.
  * Removed authors from debian/docs.
  * Added breaks/replaces fields for -doc package to debian/control.

  [ Cleto Martín ]
  * Update version pkgconfig file
  * Update watch file to avoid parsing 1.x versions
  * Using debian/copyright machine-readable format
  * Update my email address

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Sat, 18 Apr 2015 15:43:15 +0200

libjsoncpp (0.6.0~rc2-4) UNRELEASED; urgency=medium

  [ Matthias Klose ]
  * Multiarchify the package. Closes: #699765.
  * Add a symbols file.
  * Build using dpkg-buildflags (using debhelper 9 and patched SConstruct).
  * Run the tests (but ignore the test results, upstream writes that not all
    of them pass).

  [ Cleto Martín ]
  * Applying Matthias patch. Thanks!
  * Updating new homepage and uscan.
  * Adding Vcs-Git field at debian/control

 -- Cleto Martín <cleto@debian.org>  Sat, 08 Nov 2014 12:41:04 +0000
