=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --parallel --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
			-DBUILD_SHARED_LIBS=ON \
			-DBUILD_STATIC_LIBS=ON \
			-DCMAKE_INSTALL_PREFIX=/usr \
			-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
			-DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_auto_build-indep:
	python doxybuild.py --doxygen=/usr/bin/doxygen

override_dh_strip:
	dh_strip -plibjsoncpp0v5 --dbg-package=libjsoncpp0v5-dbg

override_dh_auto_clean:
	dh_auto_clean
	rm -rf dist
	rm -f devtools/*.pyc
	rm -f doc/doxyfile
	rm -f doc/*.db
