=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/archive\/(.+)\.tar\.gz/releases\/download\/$1\/jsoncpp-$1.tar.gz.asc/,filenamemangle=s/.+\/v?(0\.\d\S*)\.tar\.gz/jsoncpp-$1\.tar\.gz/ \
  https://github.com/open-source-parsers/jsoncpp/tags .*/v?(0\.\d\S*)\.tar\.gz
