## libjsoncpp 1.7.2

=== debian/changelog ===
libjsoncpp (1.7.2-1) unstable; urgency=medium

  * Team upload.
  [ Peter Spiess-Knafl ]
  * Fix watch file
  * Imported Upstream version 1.7.2 (Closes: #811958)
  * Removed upstream applied and unused patches

  [ Ghislain Vaillant ]
  * Add CI testsuite (Closes: #819378)
  * Simplify multiarch handling (Closes: #819376)
    - removed multiarch patch
    - removed include path patch

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Mon, 28 Mar 2016 04:49:21 +0200

libjsoncpp (1.6.5-4) unstable; urgency=medium

  * d/libjsoncpp-dev.install: Remove arch specific cmake file (Closes: #814414)
  * Fix pkg-config file with multi-arch library path

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Fri, 12 Feb 2016 10:50:59 +0100

libjsoncpp (1.6.5-3) unstable; urgency=medium

  * Install jsoncppConfig.cmake to dev package and correct pkgconfig
    multiarch path (Closes: #811430)
  * d/control: Migrate to automatic dbg packages
  * d/control: Sandards-Version bump to 3.9.7, no changes required
  * d/control: remove conflicts/replaces for libjsoncpp1 (Closes: #813939)
  * d/control: use https in Vcs-* fields

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Wed, 10 Feb 2016 21:44:31 +0100

libjsoncpp (1.6.5-2) unstable; urgency=medium

  * Upload to unstable

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Wed, 03 Feb 2016 21:23:48 +0100

libjsoncpp (1.6.5-1) experimental; urgency=medium

  * Imported Upstream version 1.6.5
  * d/watch: updated to also receive 1.x releases
  * d/control: updated libjsoncpp0v5* -> libjsoncpp1*
  * d/rules: updated libjsoncpp0v5* -> libjsoncpp1*

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Mon, 14 Dec 2015 22:40:42 +0100
