=== debian/control ===
--- 
+++ 
@@ -2,40 +2,19 @@
 Priority: extra
 Maintainer: Peter Spiess-Knafl <dev@spiessknafl.at>
 Uploaders: Cleto Martín <cleto@debian.org>
-Build-Depends: cmake, debhelper (>= 9), doxygen, python, g++ (>= 4:5.2)
-Standards-Version: 3.9.6
+Testsuite: autopkgtest
+Build-Depends: cmake, debhelper (>= 9), doxygen, python
+Standards-Version: 3.9.7
 Section: libs
 Homepage: https://github.com/open-source-parsers/jsoncpp
-Vcs-Git: http://anonscm.debian.org/git/collab-maint/libjsoncpp.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/libjsoncpp.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/libjsoncpp.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libjsoncpp.git
 
-Package: libjsoncpp0v5
+Package: libjsoncpp1
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Conflicts: libjsoncpp0
-Replaces: libjsoncpp0
 Description: library for reading and writing JSON for C++
- jsoncpp is an implementation of a JSON reader and writer in C++. JSON
- (JavaScript Object Notation) is a lightweight data-interchange format
- that it is easy to parse and redeable for human. It is useful for
- building config files, network communications protocols, etc.
- .
- This library provides following features:
- .
- * High-level data structures for collecting data from JSON.
- * Easy-to-use reader and writer.
-
-Package: libjsoncpp0v5-dbg
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: libjsoncpp0v5 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Section: debug
-Description: debugging symbols for libjsoncpp0
- This package contains the debugging symbols for libjsoncpp0.
- .
  jsoncpp is an implementation of a JSON reader and writer in C++. JSON
  (JavaScript Object Notation) is a lightweight data-interchange format
  that it is easy to parse and redeable for human. It is useful for
@@ -70,7 +49,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libjsoncpp0v5 (= ${binary:Version}), ${misc:Depends}
+Depends: libjsoncpp1 (= ${binary:Version}), ${misc:Depends}
 Description: library for reading and writing JSON for C++ (devel files)
  This package provides all required developer resources like header-files
  and statically linked version of the library.
