=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --parallel --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
			-DBUILD_SHARED_LIBS=ON \
			-DBUILD_STATIC_LIBS=ON \
			-DJSONCPP_WITH_CMAKE_PACKAGE=ON \
			-DLIB_SUFFIX="/$(DEB_TARGET_MULTIARCH)" \
			-DINCLUDE_INSTALL_DIR=/usr/include/jsoncpp

override_dh_auto_build-indep:
	python doxybuild.py --doxygen=/usr/bin/doxygen

override_dh_auto_clean:
	dh_auto_clean
	rm -rf dist
	rm -f devtools/*.pyc
	rm -f doc/doxyfile
	rm -f doc/*.db
