=== debian/watch ===
version=3
https://github.com/open-source-parsers/jsoncpp/releases /open-source-parsers/jsoncpp/archive/(.+)\.tar\.gz
