=== debian/changelog ===
libjsoncpp (1.7.4-3.1ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Mar 2020 13:28:13 +0100

libjsoncpp (1.7.4-3.1ubuntu1) focal; urgency=medium

  * Make autopkgtests cross-test-friendly.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 31 Jan 2020 13:40:49 -0800

libjsoncpp (1.7.4-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Port build system to use Python 3 (Closes: #936882)

 -- Aron Xu <aron@debian.org>  Fri, 24 Jan 2020 12:32:52 +0000

libjsoncpp (1.7.4-3) unstable; urgency=medium

  * Add patch to fix pkg-config file

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Tue, 23 Aug 2016 11:09:02 +0200

libjsoncpp (1.7.4-2) unstable; urgency=medium

  * Disable symbols file, too many build failures on other arch
  * d/rules: Added shlibs minimum version (Closes: #820434)

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Tue, 23 Aug 2016 10:44:07 +0200

libjsoncpp (1.7.4-1) unstable; urgency=medium
  * Team upload.
  * New upstream version (Closes: #835092)
  [ Helmut Grohne]
  * Fix FTCBFS: (Closes: #824529)
    * Annotate Build-Depends: python with :any.
    * Support DEB_BUILD_OPTIONS=nocheck.

  [ Peter Spiess-Knafl ]
  * d/control: Bump Standards-Version to 3.9.8: no changes required
  * d/changelog: Fix spelling error in changelog

  [ Stephen Kitt ]
  * Added basic version of d/libjsoncpp1.symbols

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Mon, 22 Aug 2016 17:44:51 +0200
