=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: libjsoncpp
 Priority: extra
-Maintainer: Peter Spiess-Knafl <dev@spiessknafl.at>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Peter Spiess-Knafl <dev@spiessknafl.at>
 Uploaders: Cleto Martín <cleto@debian.org>
 Testsuite: autopkgtest
-Build-Depends: cmake, debhelper (>= 9), doxygen, python
-Standards-Version: 3.9.7
+Build-Depends: cmake, debhelper (>= 9), doxygen, python3:any
+Standards-Version: 3.9.8
 Section: libs
 Homepage: https://github.com/open-source-parsers/jsoncpp
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/libjsoncpp.git
