## libjsoncpp 1.8.4

=== debian/changelog ===
libjsoncpp (1.8.4-1) experimental; urgency=medium

  * New upstream version 1.8.4 (Closes: #886758)
  * Removed Cleto from Uploaders due to MIA (Closes: #846290)
  * Removed upstream applied patches
  * Removed upstream signing key, because upstream is no longer using it
  * Adapt package names to reflect new soname
  * Move doxygen to Build-Depends-Indep (Closes: #870283)
  * Fix typo in package description (Closes: #858107)
  * Removed override for dh_makeshlibs
  * Point Vcs-* entries to salsa.d.o
  * Updated to debhelper 11
  * Changed -doc package to Multi-Arch foreign
  * Updated to Standards-Version 4.2.1
    * changed package priority from extra to optional

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Tue, 25 Sep 2018 19:01:40 +0200
